Subject: Re: Mailing list admin, please read this!
From: [email-masked] ($Bill Luebkert)

8 Sep 1998 17:10:04 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Alexander Kriegisch <[email-masked]>
Cc: GNU-Win32 Discussion <[email-masked]>

Alexander Kriegisch wrote:
> 
> Hello Christopher!
> 
> > There is obviously a blank line following the mail header.
> 
> There seems to be a misunderstanding. I did not mean the top-level mail
> header (which is indeed okay), but the (missing) blank line after the
> (also missing) sub-part header (the mail has a MIME multipart type, and
> every part has a header of its own):
> 
>     1    ----=_35eb3be341926316052e3279.MFSBCHJLHS--
>     2    -
>          For help on using this list (especially unsubscribing), send a
>          message to "[email-masked]" with one line of
>          text: "help".
> 
> Line #1 is the boundary separating the before-last sub-part from the
> last one. Line #2 ist the first line of the last sub-part. As it is not
> blank it is regarded as a header line, which is wrong.
> 
> Just for comparison a valid sub-part from the same mail message:
> 
>     1    ----=_35eb3be341926316052e3279.MFSBCHJLHS
>     2    Content-Type: text/plain; charset=us-ascii
>     3    Content-Transfer-Encoding: 7bit
>     4
>     5    Hi folks,
> 
>          this is the first draft of the gnuwin32 mini FAQ
>          (...)
> 
> Here we also have our boundary (line #1). Now there is a header (lines
> #2, #3), the required blank line (#4) ans the actual beginning of the
> sub-part body (from #5 on).

There is a difference between a sub-part and the last part which can 
have a trailing epilogue.  See below.

> I hope I could make the issue clear this time: Not the whole mail is
> wrong, but the very last sub-part. Some mail clients may tolerate this
> RFC violation, but not ours. It is just a bit more stringent in this
> respect.

I'm no expert, but it looks OK to me.  The spec says:

-------------------------------------------------------------
multipart-body := preamble 1*encapsulation close-delimiter epilogue

encapsulation := delimiter body-part CRLF

delimiter := "--" boundary CRLF ; taken from Content-Type field.
                                ; There must be no space
                                ; between "--" and boundary.

close-delimiter := "--" boundary "--" CRLF ; Again, no space by "--",

preamble := discard-text   ;  to  be  ignored upon receipt.

epilogue := discard-text   ;  to  be  ignored upon receipt.

discard-text := *(*text CRLF)

body-part := <"message" as defined in RFC 822,
          with all header fields optional, and with the
          specified delimiter not occurring anywhere in
          the message body, either on a line by itself
          or as a substring anywhere.  Note that the
          semantics of a part differ from the semantics
          of a message, as described in the text.>
-------------------------------------------------------------

The part you are questioning would constitute the epilogue the 
way I read it.

Therefore, my guess is that the problem is with your mail client, not 
the message.

-- 
  ,-/-  __      _  _         $Bill Luebkert   ICQ=14439852
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      Mailto:[email-masked]
-/-' /___/_<_</_</_    http://www.wgn.net/~dbe/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".